org.apache.cassandra.db

## Class Memtable.LastCommitLogPosition

- java.lang.Object
- - org.apache.cassandra.db.commitlog.CommitLogPosition
  - - org.apache.cassandra.db.Memtable.LastCommitLogPosition

All Implemented Interfaces:
  java.lang.Comparable<CommitLogPosition>

Enclosing class:
  Memtable

    public static final class Memtable.LastCommitLogPosition
    extends CommitLogPosition

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.db.commitlog.CommitLogPosition

`CommitLogPosition.CommitLogPositionSerializer`

### Field Summary

### Fields inherited from class org.apache.cassandra.db.commitlog.CommitLogPosition

`comparator, NONE, position, segmentId, serializer`

### Constructor Summary

Constructors
Constructor and Description
`LastCommitLogPosition(CommitLogPosition copy)`

### Method Summary

### Methods inherited from class org.apache.cassandra.db.commitlog.CommitLogPosition

`clone, compareTo, equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LastCommitLogPosition

    public LastCommitLogPosition(CommitLogPosition copy)